GET /drug/ndc.json
Summary: National Drug Code Directory
Operation ID: getDrugNDC
Auth: api_key
Operation ID: getDrugNDC
Auth: api_key
Description
Returns information from the National Drug Code (NDC) Directory on finished and unfinished drug products.
Parameters (6)
api_key
(string, query, optional)
Optional API key for higher rate limits (120,000/day vs 1,000/day without key). Request at https://open.fda.gov/apis/authentication/
count
(string, query, optional)
Field to count unique values for (returns aggregation instead of individual records). Use with .exact suffix for exact matches.
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Elasticsearch query string. Use field:value format with +AND+, +OR+ for boolean logic. Replace spaces with +.
skip
(integer, query, optional, default: 0)
Number of results to skip for pagination
Constraints: {'minimum': 0}
sort
(string, query, optional)
Field to sort results by. Use :desc or :asc suffix.
Examples (7)
| Title | Type | URL | Action |
|---|---|---|---|
| Search by generic drug name | curl |
https://api.fda.gov/drug/ndc.json?search=generic_name:aspirin&limit=5 |
|
| Search by brand name with pagination | curl |
https://api.fda.gov/drug/ndc.json?search=brand_name:Advil&limit=10&skip=0 |
|
| Search by product type | curl |
https://api.fda.gov/drug/ndc.json?search=product_type:%22HUMAN+PRESCRIPTION+DRUG%22&limit=20 |
|
| NDC directory by drug name (ibuprofen) | doc_extracted |
https://api.fda.gov/drug/ndc.json?search=generic_name:ibuprofen |
|
| FDA NDC directory search by drug name (MedxR SDK) | doc_extracted |
https://api.fda.gov/drug/ndc.json?search=ibuprofen |
|
| Get NDC directory | probe-gate |
https://api.fda.gov/drug/ndc.json?limit=1&skip=0 |
|
| National Drug Code Directory | probe-gate |
https://api.fda.gov/drug/ndc.json |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:29:44.100509 | 200 | 847ms | |
| 2026-03-23 10:17:09.192304 | 200 | 881ms | |
| 2026-03-23 09:49:21.489841 | 200 | 912ms | |
| 2026-03-23 09:43:37.557413 | 200 | 880ms | |
| 2026-03-23 09:31:35.043523 | 200 | 929ms | |
| 2026-03-23 09:17:46.667112 | 200 | 858ms | |
| 2026-03-23 09:10:41.223490 | 200 | 859ms | |
| 2026-03-21T23:23:52.596095 | 200 | 869ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:10:41.223490 | e2395f1d4b8d |
ef77868ff3c2 |
| 2026-03-23 09:17:46.667112 | ef77868ff3c2 |
9e7a2d2211bd |
| 2026-03-23 09:31:35.043523 | 9e7a2d2211bd |
2b45abbdabc5 |
| 2026-03-23 09:43:37.557413 | 2b45abbdabc5 |
8276b06542a0 |
| 2026-03-23 09:49:21.489841 | 8276b06542a0 |
e2395f1d4b8d |
| 2026-03-23 10:29:44.100509 | e2395f1d4b8d |
f8004ad38551 |